Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1077808 - Error compiling Cython lockdown.pxi file
Summary: Error compiling Cython lockdown.pxi file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libimobiledevice
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-03-18 15:37 UTC by Menanteau Guy
Modified: 2014-05-05 18:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-05 18:56:19 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2014-03-18 15:37:35 UTC
escription of problem:
Attempting to build the SRPM of libimobiledevice fails with

Making all in cython
make[2]: Entering directory `/home/root/rpmbuild/BUILD/libimobiledevice-1.1.5/cython'
/bin/cython -I/usr/include/plist/cython -I../src -o imobiledevice.c imobiledevice.pyx

Error compiling Cython file:
------------------------------------------------------------
...
        cdef:
            lockdownd_error_t err
            char* c_session_id = NULL
            bint ssl_enabled
            bytes session_id
        err = lockdownd_start_session(self._c_client, host_id, &c_session_id, &ssl_enabled)
                                                                             ^
------------------------------------------------------------

lockdown.pxi:224:78: Cannot assign type 'bool *' to 'int *'
make[2]: *** [imobiledevice.c] Error 1

Version-Release number of selected component (if applicable):
libimobiledevice-1.1.5-3.fc21.ppc64le

How reproducible:
Always, with the above packages. 

Additional info:
A patch already exist in upstream for this bug for libimobiledevice: 

From 62ab50f64fa210304338a5bfccdc6a26fac5f0ec Mon Sep 17 00:00:00 2001
From: "Dawn K. Isabel" <dawn.isabel@gmail.com>
Date: Thu, 30 May 2013 23:36:52 -0400
Subject: [PATCH] cython: Explicitly cast ssl_enabled when calling
 lockdownd_start_session


diff --git a/cython/lockdown.pxi b/cython/lockdown.pxi
index 6fb49a3..ee674b4 100644
--- a/cython/lockdown.pxi
+++ b/cython/lockdown.pxi
@@ -221,7 +221,7 @@ cdef class LockdownClient(PropertyListService):
             char* c_session_id = NULL
             bint ssl_enabled
             bytes session_id
-        err = lockdownd_start_session(self._c_client, host_id, &c_session_id, &ssl_enabled)
+        err = lockdownd_start_session(self._c_client, host_id, &c_session_id, <int *>&ssl_enabled)
         try:
             self.handle_error(err)

Comment 1 Menanteau Guy 2014-03-18 15:57:31 UTC
Cython version was 0.19.2-2

Comment 2 Peter Robinson 2014-04-13 11:57:34 UTC
Should be fixed with new release that I should land shortly


Note You need to log in before you can comment on or make changes to this bug.